Bug 741301 (CVE-2011-3818) - CVE-2011-3818 WordPress: Installation path disclosure via a direct request to a wp-admin/includes/user.php file
Summary: CVE-2011-3818 WordPress: Installation path disclosure via a direct request to...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2011-3818
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20110130,reported=2...
Depends On: 741304 741305
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 14:30 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-05 10:47:43 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-09-26 14:30:21 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-3818 to
the following vulnerability:

WordPress 2.9.2 and 3.0.4 allows remote attackers to obtain sensitive information via a direct request to a .php file, which reveals the installation path in an error message, as demonstrated by wp-admin/includes/user.php and certain other files.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3818
[2] http://www.openwall.com/lists/oss-security/2011/06/27/6
[3] http://code.google.com/p/inspathx/source/browse/trunk/paths_vuln/%21_README
[4] http://code.google.com/p/inspathx/source/browse/trunk/paths_vuln/wordpress_2.9.2

Comment 1 Jan Lieskovsky 2011-09-26 14:32:15 UTC
Created wordpress tracking bugs for this issue

Affects: fedora-all [bug 741304]
Affects: epel-all [bug 741305]

Comment 2 Matěj Cepl 2011-09-26 15:25:54 UTC
Take a look at https://admin.fedoraproject.org/updates/wordpress. We have in Fedora/EPEL these packages:

wordpress-3.2.1-2.fc16 	Fedora 16     (since 2011-07-30 20:57:52)
wordpress-3.2.1-1.fc14 	Fedora 14     (since 2011-07-13 00:55:30)
wordpress-3.2.1-1.fc15 	Fedora 15     (since 2011-07-13 00:55:01)
wordpress-3.2.1-1.el6 	Fedora EPEL 6 (since 2011-07-05 10:18:13)
wordpress-3.1.4-1.el5 	Fedora EPEL 5 (since 2011-06-29 19:58:15)

Given that https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3818 mentions wordpress 2.9.2 and 3.0.4 as being affected, I don't think we have any vulnerable version in our packages.

Comment 3 Jan Lieskovsky 2012-01-05 10:47:26 UTC
(In reply to comment #2)
> Take a look at https://admin.fedoraproject.org/updates/wordpress. We have in
> Fedora/EPEL these packages:
> 
> wordpress-3.2.1-2.fc16  Fedora 16     (since 2011-07-30 20:57:52)
> wordpress-3.2.1-1.fc14  Fedora 14     (since 2011-07-13 00:55:30)
> wordpress-3.2.1-1.fc15  Fedora 15     (since 2011-07-13 00:55:01)
> wordpress-3.2.1-1.el6  Fedora EPEL 6 (since 2011-07-05 10:18:13)
> wordpress-3.1.4-1.el5  Fedora EPEL 5 (since 2011-06-29 19:58:15)
> 
> Given that https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3818
> mentions wordpress 2.9.2 and 3.0.4 as being affected, I don't think we have any
> vulnerable version in our packages.

Thanks, Matej. Closing this bug.


Note You need to log in before you can comment on or make changes to this bug.